Search people
curl --request GET \
--url https://api.gospott.com/search/people \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gospott.com/search/people"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gospott.com/search/people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"entityType": "candidate",
"id": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"secondLastName": "<string>",
"avatarUrl": "<string>",
"phoneNumbers": [
"<string>"
],
"emailAddresses": [
"<string>"
],
"linkedInUrl": "<string>"
}
]
}{
"status": 0,
"message": "<string>",
"requestId": "<string>",
"errors": [
{
"code": "REQUIRED",
"path": "<string>",
"message": "<string>",
"received": "<unknown>"
}
]
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}Search People
Search people
Returns a list of people that match the provided filters. Searches across candidates and client contacts. You can search by full name, email address, or phone number. Results use fuzzy matching for partial matches and minor typos, ranked by relevance.
GET
/
search
/
people
Search people
Authorizations
API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.
Query Parameters
Minimum string length:
1Required range:
0 <= x <= 100Response
Successfully retrieved matching people. Returns a list of candidates and client contacts matching the search query.
- Option 1
- Option 2
Show child attributes
Show child attributes
⌘I

